* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.gallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  /* padding: 0 15px; */
}



/* The Modal (background) */
.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  height: 75%; /* 100% */
  width: auto;  /* 100% */
  background-color: rgba(255, 255, 255, 0.0); /* rgba(0, 0, 0, 0.1); */
  align-items: center;
  justify-content: center;
  /* transition: opacity 0.5s ease; */
}

/* Modal content (image) */
.modal_content {
  position: relative;
  top: 50px;
  right: -25px;
  height: 90%; 
  width: auto; /* 90% */
  /* max-width: 50%;   90% */
  /* max-height: auto;  90% */
  border-radius: 5px;
  overflow: hidden;
  /* animation: zoomIn 0.5s; */
}

@keyframes zoomIn {
  from {transform: scale(0.6);}
  to {transform: scale(1);}
}

.modal.show {
  display: flex;
  opacity: 1;
}

/* Close button */
.close {
  position: relative;
  top: 10px; /* 10 */
  right: -20px; /* 15 */
  color: red; /* #ffffff; */
  font-size: 35px;
  font-weight: bold;
  cursor: pointer;
  /* transition: transform 0.3s; */
}

/* Caption of modal image */
.caption {
  position: absolute;
  bottom: 15px;
  width: 100%;
  text-align: center;
  color: #ffffff;
  font-size: 24px;
}

@media screen and (max-width: 768px) {
  .gallery-item {
    width: calc(50% - 20px);
  }
}

@media screen and (max-width: 480px) {
  .gallery-item {
    width: calc(100% - 20px);
  }
}

/*
h1 {
  text-align: center;
  padding: 20px;
}

.gallery-item {
  position: relative;
  width: calc(25% - 20px);
  height: auto;
  /* margin: 10px; */
  cursor: pointer;
  /* transition: transform 0.5s ease; */
}

.gallery-item:hover {
  transform: scale(1.1);
}
*/
